package models

import "sync"

type Config struct {
	Port          int
	LokiUrl       string
	ZincUrl       string
	ZincLogin     string
	ZincPassword  string
	RedisUrl      string
	RedisPassword string
	IdentityFile  string
	Defaultpeers  string
}

var instance *Config
var once sync.Once

func GetConfig() *Config {
	once.Do(func() {
		instance = &Config{}
	})
	return instance
}
